
Core - Bug # 40946

Status: Resolved Priority: Should have
Author: Julian Hofmann Category: Install Tool
Created: 2012-09-15 Assigned To:
Updated: 2013-09-14 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: Install-Tool: Catchable Fatal Error after faulty DB data the first time
Description

When entering faulty data for DB connection, you'll get a TYPO3 error message. After going back to step2, entering correct data now,
you'll get a catchable error after sumitting:

#1: PHP Catchable Fatal Error: Argument 1 passed to
TYPO3\CMS\Core\Configuration\ConfigurationManager::setLocalConfigurationValuesByPathValuePairs() must be an array,
string given, called in
(...)/blankpackage-6.0.0beta1/typo3_src-6.0.0beta1/typo3/sysext/dbal/Classes/Hooks/InstallToolHooks.php on line 159 and
defined in
(...)/blankpackage-6.0.0beta1/typo3_src-6.0.0beta1/typo3/sysext/core/Classes/Configuration/ConfigurationManager.php line
154 

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

History
#1 - 2012-09-18 10:03 - Oliver Hader
- Status changed from New to Accepted
- Complexity set to medium

I had that a couple of times, too. Restarting from first step was required then...
Do you have a chance to dig into this issue?

#2 - 2012-11-11 23:56 - Patrick Nussbaumer

Same problem here.

This error only appears if you enter the wrong credentials in the database setup. If you then go back to step 1 the error occurs. To avoid this, just enter
the URL in address bar, hit enter and start again.

#3 - 2012-11-26 21:47 - Wouter Wolters

This should be fixed with: http://forge.typo3.org/issues/41182

2015-08-04 1/2

http://forge.typo3.org/issues/41182


#4 - 2013-07-30 02:04 - Wouter Wolters
- Status changed from Accepted to Needs Feedback

Is this in the meantime fixed with the issue I mentioned?

#5 - 2013-09-14 22:09 - Christian Kuhn
- Status changed from Needs Feedback to Resolved
- Target version changed from 6.0.0-beta2 to 6.2.0
- % Done changed from 0 to 100
- Is Regression set to No

This is solved in 6.2. For 6.1 / 6.0 I'm unsure, but if it still exists, it will probably be a "won't fix" for those versions. I'll set this to resolved now. If
someone still needs a fix for 6.1 / 6.0, please re-open and push a patch to gerrit.
